Namespace UTSModule.Test.StatusMonitor

    Public Class StationEditStatusChangedEventArgs
        Inherits EventArgs

        Public Property Status As StationEditStatusMonitor.StationEditStatusEnum
    End Class


    Public Class StationEditStatusMonitor
        Enum StationEditStatusEnum
            ''' <summary>
            ''' 项目站未修改
            ''' </summary>
            None
            ''' <summary>
            ''' 项目站信息已修改
            ''' </summary>
            Changed
            ''' <summary>
            ''' 项目站信息修改已保存
            ''' </summary>
            Saved
        End Enum


        Public Delegate Sub StationEditStatusChangedEventHandler(sender As Object, e As StationEditStatusChangedEventArgs)

        ''' <summary>
        ''' 在测试状态更改时发生
        ''' </summary>
        Public Shared Event StationEditStatusChanged As StationEditStatusChangedEventHandler


        Private Shared _stationEditStatus As StationEditStatusEnum = StationEditStatusEnum.None

        ''' <summary>
        ''' 测试站编辑状态
        ''' </summary>
        ''' <returns></returns>
        Public Shared Property StationEditStatus() As StationEditStatusEnum
            Get
                Return _stationEditStatus
            End Get
            Set(value As StationEditStatusEnum)
                If _stationEditStatus = value Then Return
                _stationEditStatus = value
                RaiseEvent StationEditStatusChanged(Nothing, New StationEditStatusChangedEventArgs() With {.Status = _stationEditStatus})
            End Set
        End Property
    End Class
End Namespace